Subject: bug#76018: 31.0.50; wrap-prefix properties from visual-wrap-prefix-mode proliferate

From: Jim Porter <[email-masked]>
Date: Sat, 31 May 2025 10:48:45 -0700

On 5/31/2025 12:20 AM, Eli Zaretskii wrote:
>> Date: Fri, 30 May 2025 21:59:40 -0700
>> Cc: [email-masked], [email-masked], [email-masked],
>>   [email-masked]
>> From: Jim Porter <[email-masked]>
>>
>>>    . what about 'display' property whose value is '((margin nil) STRING)'?
>>
>> This should work fine, since we compare the car of the display spec
>> using 'equal'.
> 
> So that kind of property is also not supported?

It *should* be supported. However, it turns out that 
'add-display-text-property' doesn't work right with '(margin nil)'. I 
think the first step here should be to fix all the bugs I've found with 
'add-display-text-property', and then I'll work on finishing up the rest.